%define name    xmms-eq
%define version 0.6
%define release %mkrel 9

Summary: Equalizer plugin for XMMS
Name: %{name}
Version: %{version}
Release: %{release}
Group: Sound
URL: http://equ.sourceforge.net/ 
Source: http://prdownloads.sourceforge.net/equ/eq-xmms-%{version}.tar.bz2 
Patch: eq-xmms-0.6-no-autodetect.patch
License: GPLv2+
Requires: xmms >= 1.0.1
BuildRequires: xmms-devel 
BuildRequires: xmms
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
EQU is a realtime graphical equalizer effect plugin that will equalize
almost everything that you play through XMMS, not just the MP3s.

%prep

%setup -q -n eq-xmms-%{version}/
%patch -p1 -b .auto
libtoolize --force
aclocal
autoconf
automake

%build

%configure2_5x --libdir=%_libdir/xmms/Effect/ \
%ifarch x86_64
--enable-sse2
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/xmms/Effect/libeq.la
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS README TODO NEWS ChangeLog BUGS 
%{_libdir}/xmms/Effect/libeq.so




%changelog
* Tue Aug 04 2009 Götz Waschk <waschk@mandriva.org> 0.6-9mdv2010.0
+ Revision: 408671
- update license

* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6-8mdv2009.0
+ Revision: 262538
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6-7mdv2009.0
+ Revision: 257252
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 26 2007 Götz Waschk <waschk@mandriva.org> 0.6-5mdv2008.1
+ Revision: 112065
- fix build


* Fri Nov 24 2006 Götz Waschk <waschk@mandriva.org> 0.6-4mdv2007.0
+ Revision: 86895
- Import xmms-eq

* Fri Nov 24 2006 Gtz Waschk <waschk@mandriva.org> 0.6-4mdv2007.1
- unpack patch
- rebuild

* Fri Jun 16 2006 Gtz Waschk <waschk@mandriva.org> 0.6-3mdv2007.0
- Rebuild

* Sat Jun 11 2005 Gtz Waschk <waschk@mandriva.org> 0.6-2mdk
- fix build on x86_64

* Thu Sep 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- initial package from Greg Meyer <greg|at|gkmweb|dot|com> with some fixes

